<script setup>
import { useI18n } from 'vue-i18n';

const { locale } = useI18n();

const { data: navigationData } = await useAsyncData('navigation', () =>
  queryContent(`/shared/${locale.value}/main-navigation`).findOne(),
);

const { data: bannerData } = await useAsyncData('banner', () =>
  queryContent(`/shared/${locale.value}/banner`).findOne(),
);

const { data: footerData } = await useAsyncData('footer', () =>
  queryContent(`/shared/${locale.value}/main-footer`).findOne(),
);
</script>

<template>
  <div class="grid-wrapper">
    <NavigationMainNavigation v-if="navigationData" :navigation-data="navigationData?.data" />
    <NavigationBanner v-if="bannerData" v-bind="bannerData" class="banner" />
    <NuxtPage />
    <NavigationFooter :footer-data="footerData?.data" />
  </div>
</template>
<style lang="scss" scoped>
.grid-wrapper {
  display: flex;
  flex-direction: column;
  overflow-x: clip;

  & > * {
    min-width: 0;
    max-width: 100%;
  }
}
.banner {
  order: 0;

  @media screen and (min-width: 768px) {
    order: -1;
  }
}
</style>
